@import "../../00_base/media-queries.pcss.css";

/* Make sure that we position the leaflet-popup element and not only the outer wrapper so the close button is positioned correctly */

/* Wrapper element existing in every views map, give relative position so that popup can relate to it */
/* TODO: Give better class name */
.js-h4c-popup {
  position: relative;
}

/* Position popup absolute (but relative to wrapper element) */
.h4c-popup {
  position: absolute !important;
}

/* Finally position popup and do some leaflet resets per !important */
@media (--md) {
  .h4c-popup {
    max-width: 450px;
    top: 10px !important; /* Equal to leaflet zoom in/out element */
    right: unset !important;
    left: calc(var(--box-padding)*1.5) !important;
  }
}

.h4c-popup .leaflet-popup { 
  position: unset !important;
  -webkit-transform: none !important;
  -ms-transform: none !important;
  transform: none !important;
  margin-bottom: 0;
}

.h4c-popup .leaflet-popup-content {
  width: 100% !important;
  margin: 0;
  padding: 2rem;
}

.h4c-popup .leaflet-popup-content p {
  margin: 0 !important;
}

.h4c-popup .leaflet-popup-close-button {
  position: absolute !important;
  width: 1.5rem;
  top: .4rem !important;
  right: .5rem !important;
  text-align: right;
  z-index: 1;
  height: 1.5rem;
  font: bold 1.25rem/1 sans-serif;
  cursor: pointer;
  pointer-events: all;
  color: var(--color--white);
  text-align: center;
  color: red;
}

/* Remove the triangle pointing to the marker on the map */
.h4c-popup .leaflet-popup-tip-container {
  display: none;
}

/* Reset text color */
.leaflet-popup-content-wrapper, .leaflet-popup-tip {
  color: inherit;
}

.map-popup__title {
  font-size: 1.4em;
  font-weight: 700;
}

.map-popup__subtitle {
  font-size: 1em;
  font-weight: 500;
}
